List tasks
curl --request GET \
--url https://api.assembly.com/v1/tasks \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/tasks"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"createdAt": "2024-01-15T09:30:00Z",
"deleted": true,
"description": "Write the welcome email for new clients.",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Draft the onboarding email",
"object": "client",
"updatedAt": "2024-02-20T14:05:00Z"
}
],
"nextToken": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Tasks
List tasks
Lists tasks from the Tasks marketplace app installed on the workspace. The request is proxied to the app’s task API and the response shape is defined by that app’s registered resource schema. Requires the Tasks app to be installed.
GET
/
v1
/
tasks
List tasks
Authorizations
Query Parameters
Maximum number of tasks to return
Pagination cursor returned by a previous list response
Filter tasks by the id of the internal user that created them
Filter to the subtasks of the given parent task id
Filter tasks by status
Available options:
todo, inProgress, completed Filter tasks by the id of the assigned client
Filter tasks by the id of the assigned internal user
Filter tasks by the id of the assigned company